/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.catalog;

import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.BasicType;
import com.arrebol.taxiservicios.model.enums.BoxType;
import com.arrebol.taxiservicios.model.enums.ExpenseIncomeType;
import com.arrebol.taxiservicios.model.enums.ExpenseCatalogType;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Cato32
 */
public class ExpenseIncomeCatalog implements Serializable {
    
    private static final long serialVersionUID = -6653037938225719593L;
    
    private String id;
    private String name;
    private ExpenseIncomeType expenseIncomeCatalogType;
    private BasicType activePaymentCustomer;
    private BoxType activeBox;
    private BasicType active;
    private ClaveUnidad claveUnidad;
    private ClaveProductoServicio claveProductoServicio;
    private ExpenseCatalogType expenseCatalogType;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private Location location;

    public ExpenseIncomeCatalog() {
    }

    public ExpenseIncomeCatalog(String id) {
        this.id = id;
    }

    public ExpenseIncomeCatalog(String id, String name, ExpenseIncomeType expenseIncomeCatalogType, BasicType activePaymentCustomer, BoxType activeBox) {
        this.id = id;
        this.name = name;
        this.expenseIncomeCatalogType = expenseIncomeCatalogType;
        this.activePaymentCustomer = activePaymentCustomer;
        this.activeBox = activeBox;
    }
    
    

    public ExpenseIncomeCatalog(String id, String name, ExpenseIncomeType expenseIncomeCatalogType, BasicType activePaymentCustomer, BoxType activeBox, BasicType active, User createdBy, Date createdOn, User lastUpdatedBy, Date lastUpdatedOn) {
        this.id = id;
        this.name = name;
        this.expenseIncomeCatalogType = expenseIncomeCatalogType;
        this.activePaymentCustomer = activePaymentCustomer;
        this.activeBox = activeBox;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.lastUpdatedBy = lastUpdatedBy;
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public ExpenseIncomeCatalog(String id, String name, ExpenseIncomeType expenseIncomeCatalogType, BasicType activePaymentCustomer, BoxType activeBox, BasicType active, ClaveUnidad claveUnidad, ClaveProductoServicio claveProductoServicio, User createdBy, Date createdOn) {
        this.id = id;
        this.name = name;
        this.expenseIncomeCatalogType = expenseIncomeCatalogType;
        this.activePaymentCustomer = activePaymentCustomer;
        this.activeBox = activeBox;
        this.active = active;
        this.claveUnidad = claveUnidad;
        this.claveProductoServicio = claveProductoServicio;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
    }
    
    
    
    
    
    public ExpenseIncomeCatalog(String id, String name, ExpenseIncomeType expenseIncomeCatalogType, BasicType activePaymentCustomer, BoxType activeBox, BasicType active, User createdBy, Date createdOn) {
        this.id = id;
        this.name = name;
        this.expenseIncomeCatalogType = expenseIncomeCatalogType;
        this.activePaymentCustomer = activePaymentCustomer;
        this.activeBox = activeBox;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
    }

    public ExpenseIncomeCatalog(String id, String name, ExpenseIncomeType expenseIncomeCatalogType, BasicType activePaymentCustomer, BoxType activeBox, BasicType active, ClaveUnidad claveUnidad, ClaveProductoServicio claveProductoServicio, ExpenseCatalogType expenseCatalogType, User createdBy, Date createdOn) {
        this.id = id;
        this.name = name;
        this.expenseIncomeCatalogType = expenseIncomeCatalogType;
        this.activePaymentCustomer = activePaymentCustomer;
        this.activeBox = activeBox;
        this.active = active;
        this.claveUnidad = claveUnidad;
        this.claveProductoServicio = claveProductoServicio;
        this.expenseCatalogType = expenseCatalogType;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
    }

    
    
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ExpenseIncomeType getExpenseIncomeCatalogType() {
        return expenseIncomeCatalogType;
    }

    public void setExpenseIncomeCatalogType(ExpenseIncomeType expenseIncomeCatalogType) {
        this.expenseIncomeCatalogType = expenseIncomeCatalogType;
    }

    public BasicType getActivePaymentCustomer() {
        return activePaymentCustomer;
    }

    public void setActivePaymentCustomer(BasicType activePaymentCustomer) {
        this.activePaymentCustomer = activePaymentCustomer;
    }

    public BoxType getActiveBox() {
        return activeBox;
    }

    public void setActiveBox(BoxType activeBox) {
        this.activeBox = activeBox;
    }

    public BasicType getActive() {
        return active;
    }

    public void setActive(BasicType active) {
        this.active = active;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public ClaveUnidad getClaveUnidad() {
        return claveUnidad;
    }

    public void setClaveUnidad(ClaveUnidad claveUnidad) {
        this.claveUnidad = claveUnidad;
    }

    public ClaveProductoServicio getClaveProductoServicio() {
        return claveProductoServicio;
    }

    public void setClaveProductoServicio(ClaveProductoServicio claveProductoServicio) {
        this.claveProductoServicio = claveProductoServicio;
    }

    public ExpenseCatalogType getExpenseCatalogType() {
        return expenseCatalogType;
    }

    public void setExpenseCatalogType(ExpenseCatalogType expenseCatalogType) {
        this.expenseCatalogType = expenseCatalogType;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }
    
    
    
    
  
    
}
